<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="./style.css">
</head>
<body>
    <div id="app" class="app">
        <div class="app__header">
            <h2>here to help</h2>
        </div>
        <div class="app__body">
            <div v-for="(item, index) in data" :key="index" class="app__container">
                <div class="app__question">
                    <p>{{item.question}}</p>
                    <button v-if="button.plus" class="app__question--btn" v-on:click="handleOpenAnswer">
                        <svg viewBox="0 0 32 32" class="module__svg">
                            <use xmlns:xlink="http://www.w3.org/2000/svg" xlink:href="#Layer_1" x="0" y="0"></use>
                        </svg>
                    </button>
                    <button v-if="button.minus" class="app__question--btn" v-on:click="handleOpenAnswer">
                        <svg viewBox="0 0 32 32" class="module__svg">
                            <use xmlns:xlink="http://www.w3.org/2000/svg" xlink:href="#Layer_2" x="0" y="0"></use>
                        </svg>
                    </button>
                </div>
                <div class="app__answer">
                    <p>{{item.answer}}</p>
                </div>
                <hr>
            </div>
        </div>
        <button class="app__btn--more">
            See More FAQs
        </button>
    </div>

    <div style="display: none;">
        <svg id="Layer_1" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 32 32"><title>PlusSign</title><path d="M31.2,14.4c0,8.3-6.8,17.4-16.2,17.4S.8,22.7.8,14.4,5.7.2,15,.2,31.2,6,31.2,14.4" fill="#ef8903"/><path d="M22.8,15.6H17.4V10.2a1.1,1.1,0,1,0-2.2,0v5.4H9.8a1.1,1.1,0,1,0,0,2.2h5.4v5.4a1.1,1.1,0,0,0,2.2,0V17.8h5.4a1.1,1.1,0,0,0,0-2.2Z" fill="#fff"/></svg>
        <svg id="Layer_2" data-name="Layer 1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 32 32"><defs><mask id="mask" x="0.79" y="0.22" width="30.42" height="31.57" maskUnits="userSpaceOnUse"><g id="mask-2"><polygon id="path-1" points="0.8 0.2 31.2 0.2 31.2 31.8 0.8 31.8 0.8 0.2" fill="#fff"/></g></mask></defs><title>MinusSign</title><g mask="url(#mask)"><path id="Fill-1" d="M31.2,14.4c0,8.3-6.8,17.4-16.2,17.4S.8,22.7.8,14.4,5.7.2,15,.2,31.2,6,31.2,14.4" fill="#ef8903"/></g><g id="Path-Copy"><path d="M22.8,17.8H9.8a1.1,1.1,0,1,1,0-2.2h13a1.1,1.1,0,0,1,0,2.2Z" fill="#fff"/></g></svg>
    </div>

    <script src="https://unpkg.com/vue@3"></script>
    <script src="./main.js"></script>
</body>
</html>